%global momorel 2

Summary: Library for creating and parsing MIME messages
Name: gmime
Version: 2.4.17
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: GPLv2+
URL: http://spruce.sourceforge.net/gmime/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.4/%{name}-%{version}.tar.bz2
Nosource: 0

# for new mono-2.0
Patch1: gmime-2.2.22-gacutils.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  glib2-devel >= 2.18.1
BuildRequires:  zlib-devel >= 1.2.3
%ifnarch ppc64 alpha sparc64
BuildRequires:  mono-devel >= 2.0
BuildRequires:  gtk-sharp2-devel  >= 2.12.4
%endif

%description
The GMime suite provides a core library and set of utilities which may be
used for the creation and parsing of messages using the Multipurpose
Internet Mail Extension (MIME).

%package        devel
Summary:        Header files to develop libgmime applications
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel

%description    devel
The GMime suite provides a core library and set of utilities which may be
used for the creation and parsing of messages using the Multipurpose
Internet Mail Extension (MIME). The devel-package contains header files
to develop applications that use libgmime.

%ifnarch ppc64 alpha sparc64
%package        sharp
Summary:        mono bindings for gmime
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk-sharp2

%description    sharp
The GMime suite provides a core library and set of utilities which may be
used for the creation and parsing of messages using the Multipurpose
Internet Mail Extension (MIME). The devel-package contains support
for developing mono applications that use libgmime.

%package sharp-devel
Summary: %{name}-sharp-devel
Group: Development/Libraries
Requires: %{name}-sharp = %{version}-%{release}

%description sharp-devel
%{name}-sharp-devel

%endif

%prep
%setup -q

%patch1 -p1 -b .gacutils

%build
%ifnarch ppc64 alpha sparc64
%configure --enable-mono --enable-gtk-doc --enable-largefile --enable-static=no
%else
%configure --enable-gtk-doc --enable-largefile
%endif
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

# Don't conflict with sharutils:
mv %{buildroot}%{_bindir}/uuencode %{buildroot}%{_bindir}/gmime-uuencode
mv %{buildroot}%{_bindir}/uudecode %{buildroot}%{_bindir}/gmime-uudecode


%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/gmime-uu??code
%{_libdir}/libgmime-2.4.so.*
%exclude %{_libdir}/libgmime-2.4.la

%files devel
%defattr(-,root,root,-)
%{_libdir}/libgmime-2.4.so
%{_libdir}/pkgconfig/gmime-2.4.pc
%{_includedir}/gmime-2.4
%{_datadir}/gtk-doc/html/gmime-2.4

%ifnarch ppc64 alpha sparc64
%files sharp
%defattr(-,root,root,-)
%dir %{_prefix}/lib/mono/gac/gmime-sharp
%{_prefix}/lib/mono/gac/gmime-sharp/*
%{_prefix}/lib/mono/gmime-sharp-2.4

%files sharp-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/gmime-sharp-2.4.pc
%endif

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.17-2m)
- full rebuild for mo7 release

* Thu May 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.17-1m)
- update to 2.4.17

* Sun May 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.16-1m)
- update to 2.4.16

* Sat Feb 20 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.15-1m)
- [SECURITY] CVE-2010-0409
- update to 2.4.15

* Sun Jan 31 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.14-1m)
- update to 2.4.14

* Wed Jan 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.13-1m)
- update to 2.4.13

* Wed Jan 13 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.12-1m)
- update to 2.4.12

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.11-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.11-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Nov  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.11-1m)
- update to 2.4.11

* Mon Oct 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.10-1m)
- update to 2.4.10

* Fri Sep  4 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.9-1m)
- update to 2.4.9

* Sat Aug 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.4.8-2m)
- now we do not need lib64 patch

* Fri Aug 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.8-1m)
- update to 2.4.8
- add sharp-devel package

* Sat Aug 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.24-1m)
- update to 2.2.24

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.23-4m)
- rebuild against rpm-4.6

* Fri Dec 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.23-3m)
- revise for rpm46 (s/%%patch/%%patch0/)
- License: GPLv2+

* Sat Oct  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.23-2m)
- back to 2.2.23

* Fri Oct  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.0-1m)
- update to 2.4.0

* Mon Sep 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.23-1m)
- update to 2.2.23

* Mon Jul 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.22-1m)
- update to 2.2.22

* Sat May 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.21-1m)
- update to 2.2.21

* Sun May 18 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.20-1m)
- update to 2.2.20

* Mon May  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.19-1m)
- update to 2.2.19

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.18-2m)
- rebuild against gcc43

* Tue Mar 18 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.18-1m)
- update to 2.2.18

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.17-2m)
- rebuild against gtk-sharp2-2.12.0

* Mon Feb 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.17-1m)
- update to 2.2.17

* Sun Feb  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.16-1m)
- update to 2.2.16

* Thu Jan  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.15-1m)
- update to 2.2.15

* Sun Dec 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.12-1m)
- update to 2.2.12

* Fri Dec 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.11-1m)
- update to 2.2.11

* Fri Jul 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.10-1m)
- update to 2.2.10

* Tue May 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.9-1m)
- update to 2.2.9

* Tue May 22 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.2.1-5m)
- fix BuildPrereq

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.2.1-4m)
- disable mono for ppc64, alpha, sparc64

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.1-4m)
- rebuild against mono-1.1.17.1 gtk-sharp 2.10.0

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.2.1-3m)
- revised for multilibarch

* Tue May  9 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.2.1-2m)
- add lib64 patch
- revised %files section in spec file

* Sat May  6 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.2.1-1m)
- start.
